org.mariadb.jdbc.internal.protocol.tls

## Class SslFactory

- java.lang.Object
- - org.mariadb.jdbc.internal.protocol.tls.SslFactory

    public class SslFactory
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`SslFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static SSLSocketFactory` `getSslSocketFactory(Options options)` Create an SSL factory according to connection string options.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SslFactory

    public SslFactory()

### Method Detail

#### getSslSocketFactory

    public static SSLSocketFactory getSslSocketFactory(Options options)
                                                throws SQLException

Create an SSL factory according to connection string options.

Parameters:
  `options` - connection options
Returns:
  SSL socket factory
Throws:
  `SQLException` - in case of error initializing context.